Skip to main content
GET
/
api
/
metastore
/
catalogs
/
{catalog_name}
/
schemas
/
details
Get schema details
curl --request GET \
  --url https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/details \
  --header 'Authorization: Bearer <token>'
{
  "schemas": [
    {
      "schema_name": "<string>",
      "total_tables_and_views": 123,
      "total_tables": 123,
      "total_views": 123
    }
  ],
  "total_schemas": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

catalog_name
string
required

Name of the catalog to retrieve schemas details for.

Response

Schema details retrieved successfully.

schemas
SchemaDetailInfo · object[]
required

List of schema details

total_schemas
integer
required

Total number of schemas